Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authorize
Class Service

    java.lang.Object
      org.apache.hadoop.security.authorize.Service

    public class Service

extends Object

An abstract definition of service as related to Service Level Authorization for Hadoop. Each service defines it's configuration key and also the necessary `Permission` required to access the service.

Constructor Summary
`Service(String key, Class<?> protocol)`

Method Summary
`Class<?>` | `getProtocol()` Get the protocol for the service
`String` | `getServiceKey()` Get the configuration key for the service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Service

    public Service(String key,
                   Class<?> protocol)

Method Detail

### getServiceKey

    public String getServiceKey()

  Get the configuration key for the service.

  Returns:
    the configuration key for the service

### getProtocol

    public Class<?> getProtocol()

  Get the protocol for the service

  Returns:
    the `Class` for the protocol

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation